plugins {
    alias(libs.plugins.androidApplication)
    alias(libs.plugins.jetbrainsKotlinAndroid)
}

android {
    namespace = "com.base.pdfviewerscannerwhite"
    compileSdk = 34

    defaultConfig {
        applicationId = "com.base.pdfviewerscannerwhite"
        minSdk = 24
        targetSdk = 34
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
    buildFeatures {
        viewBinding = true
        buildConfig = true
    }
    sourceSets {
        getByName("main") {
            assets {
                srcDirs("src\\main\\assets", "src\\main\\assets")
            }
        }
    }
}

dependencies {

    implementation(libs.androidx.core.ktx)
    implementation(libs.androidx.appcompat)
    implementation(libs.material)
    implementation(libs.androidx.activity)
    implementation(libs.androidx.constraintlayout)

    //第三方UI
    implementation("io.github.cymchad:BaseRecyclerViewAdapterHelper4:4.1.4")

    //mlkit
    implementation("com.google.android.gms:play-services-mlkit-document-scanner:16.0.0-beta1")

    //Pdf库
    implementation("com.tom-roush:pdfbox-android:2.0.27.0")
    api(project(":android-pdf-viewer"))
    //https://mupdf.com/releases
    //https://github.com/ArtifexSoftware/mupdf-android-viewer
    api("com.artifex.mupdf:viewer:1.24.9a")


    //Word库

    //Excel库

    //PPT库
}